org.hibernate.validator.cfg.context

## Interface ParameterConstraintMappingContext

- All Superinterfaces:
    Cascadable<ParameterConstraintMappingContext>, Constrainable<ParameterConstraintMappingContext>, ConstructorTarget, CrossParameterTarget, MethodTarget, ParameterTarget, ReturnValueTarget, TypeTarget, Unwrapable<ParameterConstraintMappingContext>
  All Known Implementing Classes:
    ParameterConstraintMappingContextImpl

      public interface ParameterConstraintMappingContext
      extends TypeTarget, CrossParameterTarget, ParameterTarget, ReturnValueTarget, ConstructorTarget, MethodTarget, Constrainable<ParameterConstraintMappingContext>, Cascadable<ParameterConstraintMappingContext>, Unwrapable<ParameterConstraintMappingContext>

  Constraint mapping creational context representing a method parameter. Allows to place constraints on the parameter, mark the parameter as cascadable and to navigate to other constraint targets.
  Author:
    Gunnar Morling, Kevin Pollet (C) 2011 SERLI

- - ### Method Summary

    - ### Methods inherited from interface org.hibernate.validator.cfg.context.TypeTarget

      `type`

    - ### Methods inherited from interface org.hibernate.validator.cfg.context.CrossParameterTarget

      `crossParameter`

    - ### Methods inherited from interface org.hibernate.validator.cfg.context.ParameterTarget

      `parameter`

    - ### Methods inherited from interface org.hibernate.validator.cfg.context.ReturnValueTarget

      `returnValue`

    - ### Methods inherited from interface org.hibernate.validator.cfg.context.ConstructorTarget

      `constructor`

    - ### Methods inherited from interface org.hibernate.validator.cfg.context.MethodTarget

      `method`

    - ### Methods inherited from interface org.hibernate.validator.cfg.context.Constrainable

      `constraint`

    - ### Methods inherited from interface org.hibernate.validator.cfg.context.Cascadable

      `convertGroup, valid`

    - ### Methods inherited from interface org.hibernate.validator.cfg.context.Unwrapable

      `unwrapValidatedValue`

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved